Subject: Re: bug#16647: Imprecisions with window-resizing cursors

From: martin rudalics <[email-masked]>
Date: Mon, 24 Feb 2014 19:58:12 +0100

>> OK.  Can you try the same I asked Evgeni?  In xdisp.c remove this code
 >>
 >>   if (window_resize_pixelwise)
 >>     {
 >>       width = height = 1;
 >>       goto virtual_glyph;
 >>     }
 >>
 >> and check whether setting `window-resize-pixelwise' to t still changes
 >> the behavior.  The expected answer is "no".
 >>
 >> Thanks, martin
 >
 > No, that's no good. Commenting out the body of that if statement results
 > in a seg fault when I approach the divider with the mouse cursor.

Sorry, that's all too obvious.  What I meant was to remove the entire

   if (window_resize_pixelwise)
     {
       width = height = 1;
       goto virtual_glyph;
     }
   else

stuff, that is from the "if" up to and including the following "else".

Anyway, I'm just about to be able to reproduce the bug here.  All I had
to do was to change the default font to some unusual value.

martin